@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;700&display=swap");

:root {
  --blue: #26293a;
  --light-blue: #2f3349;
  --black: #242424;
  --white: #bbbdcc;
  --whitest: #ffffff;
  --gray: #bbbbbb;
  --grayer: #bbbbbbaa;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /*disable user selection*/
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

body {
  background-color: var(--light-blue);
  color: var(--white);
  font-family: "Poppins", serif;
  overflow-x: hidden;
}

.container {
  max-width: 800px;
  margin: auto;
  margin-top: 20px;
  background: var(--blue);
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

#activitiesContainer {
  overflow-x: hidden;
}

#activitiesList {
  overflow-x: hidden;
}

.titleContainer {
  text-align: center;
  width: 100%;
  margin-bottom: 20px;
}

.titleContainer {
  text-align: center;
  width: 100%;
  margin-bottom: 20px;
}

.mainDescription {
  margin-bottom: 20px;
  font-size: 14px;
  text-align: justify;
}

.brandPolicy {
  margin-bottom: 10px;
  font-size: 10px;
  text-align: right;
}

h1 {
  color: white;
  display: inline-block;
}

#logo,
#logo_print {
  width: 160px;
  margin: 0 auto;
  display: inline-block;
  vertical-align: sub;
}

#logo_print {
  display: none;
}

.item {
  display: flex;
  align-items: center;
  padding: 15px;
  border-top: 1px solid #dddddd11;
}

.item div.image {
  display: flex;
  align-items: center;
  /*show item at the top*/
  align-self: flex-start;
}

.item img {
  width: 115px;
  height: 115px;
  margin-right: 15px;
}

.item .info {
  flex: 1;
  align-self: self-start;
  padding-top: 5px;
}

.item h3 {
  margin: 0;
  font-size: 18px;
  color: var(--whitest);
}

.item span {
  margin: 0px;
  color: var(--grayer);
  font-size: 12px;
  font-style: italic;
  /*capitalize first letter*/
  text-transform: capitalize;
}

.item p {
  margin: 5px 0;
  color: var(--gray);
  font-size: 15px;
}

summary {
  cursor: pointer;
  color: var(--grayer);
  font-size: 14px;
  font-style: italic;
}

details li {
  margin-top: 7px;
  margin-left: 13px;
  font-size: 14px;
  color: var(--grayer);
}

details ul {
  margin-left: 7px;
}

details ul li ul li {
  margin-top: 3px;
}

b {
  color: var(--gray);
  font-weight: 500;
}

.palette {
  display: inline-block;
}

.color {
  width: 20px;
  height: 20px;
  display: inline-block;
  margin: 2px;
  border-radius: 100%;
  vertical-align: text-bottom;
}

.color.selected {
  border: 2px solid var(--white);
}

.button {
  display: inline-block;
  padding: 3px 5px;
  background: var(--light-blue);
  color: var(--white);
  border: none;
  border-radius: 5px;
}

.print,
.printParams {
  position: absolute;
  top: 10px;
  right: 60px;
  width: 40px;
  height: 40px;
  background: var(--blue);
  cursor: pointer;
  font-size: 30px;
  text-align: center;
  border-radius: 3px;
  opacity: 0.6;
}

.printParams {
  right: 10px;
}

.print:hover,
.printParams:hover {
  opacity: 1;
}

::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  background-color: var(--light-blue);
}

::-webkit-scrollbar {
  width: 12px;
  background-color: var(--light-blue);
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: var(--white);
}

@page {
  size: auto; /* auto is the initial value */
  margin: 10mm 10mm 10mm 10mm; /* this affects the margin in the printer settings */
}

/* media query for smartphones */
@media (max-width: 600px) {
  #logo {
    width: 80%;
  }
  .container {
    margin-top: 0px;
    padding: 10px;
  }
  .item {
    padding-left: 5px;
    padding-right: 5px;
  }
  .image img {
    width: 80px;
    height: 80px;
  }
  .print,
  .printParams {
    display: none;
  }
}

@media (max-width: 400px) {
  .image img {
    width: 40px;
    height: 40px;
  }
}

@media print {
  * {
    color: black !important;
  }

  body {
    background: white;
    color: black !important;
    font-family: "Poppins", serif;
  }

  .print {
    display: none;
  }

  .printParams {
    display: none;
  }

  .mainDescription {
    text-align: justify;
    font-size: 16px;
  }

  .button {
    background-color: rgb(221, 221, 221);
  }

  .container {
    page-break-before: always;
    background: white;
    color: black !important;
  }

  #logo {
    display: none;
  }

  #logo_print {
    display: inline-block;
  }

  .image img {
    width: 70px;
    height: 70px;
    border-radius: 10px;
  }

  .item {
    border-top: 1px solid gray;
    /*don't break when printing*/
    page-break-inside: avoid;
  }

  .item h3 {
    margin-top: -8px;
  }

  summary {
    display: none;
  }

  body.printWithParameters details {
    display: block;
  }

  body.printWithParameters .item {
    page-break-inside: auto;
  }
}
